#pragma once
#include "skinnableframe.h"
#include "textbox.h"

class ConsoleWindow :
	public SkinnableFrame
{
public:
	ConsoleWindow(void);
	~ConsoleWindow(void);

	virtual int Create(HWND parent = 0);
	virtual void OnSize(int cx, int cy);
	virtual void OnGeneric(WPARAM wParam, LPARAM lParam);

	void StartLogging(const TCHAR * filename);
	void StopLogging();

	void Put(const TCHAR * format, ...);

	TextBox history;
	int padding;

	std::wstring logfilename;
	FILE * logfp;
};
